Subject: Re: linux-next: Tree for Nov 2

From: Stephen Rothwell <[email-masked]>
Date: Sat, 3 Nov 2018 00:22:18 +1100

Hi Miguel,

On Fri, 2 Nov 2018 11:44:07 +0100 Miguel Ojeda <[email-masked]> wrote:
>
> On Fri, Nov 2, 2018 at 4:33 AM Stephen Rothwell <[email-masked]> wrote:
> >
> > Please do not add any v4.21/v5.1 code to your linux-next included trees
> > until after the merge window closes.  
> 
> Is it OK to move forward the branch up to the point where it landed in
> mainline, no? What about changes for this release that will be sent
> for -rc2, -rc3... etc.?

Its always OK (and actually useful) to move your branch head up to
where Linus merged it (this is usually a fast forward anyway) since
that doesn't add any new code to linux-next to conflict with code that
is still pending to be merged by Linus.

Also, adding bug fixes is always fine.

I just want to avoid getting conflicts in linux-next between code
that Linus will merge during this merge window and new code destined
for the next merge window.
-- 
Cheers,
Stephen Rothwell